package org.dromara.payment.invoice.service;

import org.dromara.payment.invoice.domain.MerInvoiceAddress;
import org.dromara.payment.invoice.domain.vo.MerInvoiceAddressVo;
import org.dromara.payment.invoice.domain.bo.MerInvoiceAddressBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 发票地址Service接口
 *
 * @author LionLi
 * @date 2024-05-06
 */
public interface IMerInvoiceAddressService {

    /**
     * 查询发票地址
     */
    MerInvoiceAddressVo queryById(Long id);

    /**
     * 查询发票地址列表
     */
    TableDataInfo<MerInvoiceAddressVo> queryPageList(MerInvoiceAddressBo bo, PageQuery pageQuery);

    /**
     * 查询发票地址列表
     */
    List<MerInvoiceAddressVo> queryList(MerInvoiceAddressBo bo);

    /**
     * 新增发票地址
     */
    Boolean insertByBo(MerInvoiceAddressBo bo);

    /**
     * 修改发票地址
     */
    Boolean updateByBo(MerInvoiceAddressBo bo);

    /**
     * 校验并批量删除发票地址信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
